package es.uv.saic.domain;

import java.io.Serializable;
import java.util.List;

public class SupervisionSearchParams implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private List<Integer> centres;
	private List<Integer> cursos;
	private List<Integer> titulacions;
	private List<String> procediments;
	private List<String> evidencies;
	private String searchType;
	
	public SupervisionSearchParams() {
	}
	
	public SupervisionSearchParams(List<Integer> centres, List<Integer> titulacions, List<Integer> cursos, 
								   List<String> procediments, List<String> evidencies, String searchType) {
		super();
		this.centres = centres;
		this.cursos = cursos;
		this.titulacions = titulacions;
		this.procediments = procediments;
		this.evidencies = evidencies;
		this.searchType = searchType;
	}
	public List<Integer> getCentres() {
		return centres;
	}
	public void setCentres(List<Integer> centres) {
		this.centres = centres;
	}
	public List<Integer> getCursos() {
		return cursos;
	}
	public void setCursos(List<Integer> cursos) {
		this.cursos = cursos;
	}
	public List<Integer> getTitulacions() {
		return titulacions;
	}
	public void setTitulacions(List<Integer> titulacions) {
		this.titulacions = titulacions;
	}
	public List<String> getProcediments() {
		return procediments;
	}
	public void setProcediments(List<String> procediments) {
		this.procediments = procediments;
	}
	public List<String> getEvidencies() {
		return evidencies;
	}
	public void setEvidencies(List<String> evidencies) {
		this.evidencies = evidencies;
	}
	public String getSearchType() {
		return searchType;
	}
	public void setSearchType(String searchType) {
		this.searchType = searchType;
	}
	
}
